Bug 86620 - [Qt] Web process hangs while waiting for plugin process connection during layouttests
: [Qt] Web process hangs while waiting for plugin process connection during lay...
Status: RESOLVED INVALID
Product: WebKit
Classification: Unclassified
Component: Plug-ins
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Balazs Kelemen
: LayoutTestFailure, Qt, QtTriaged
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-16 06:47 PDT by Balazs Kelemen
Modified: 2014-02-03 03:20 PST (History)
1 user (show)

See Also:


Attachments
Patch (1.45 KB, patch)
2012-05-16 07:04 PDT, Balazs Kelemen
no flags Details | Formatted Diff | Diff
Patch (4.78 KB, patch)
2012-05-17 01:14 PDT, Balazs Kelemen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Balazs Kelemen 2012-05-16 06:47:49 PDT
Ancestor bug: https://bugs.webkit.org/show_bug.cgi?id=80691

During layout tests at some point the web process become blocked in PluginProcessConnectionManager::getPluginProcessConnection. This can happen with tests that actually don't use plugins most probably because of previous tests.
Comment 1 Balazs Kelemen 2012-05-16 07:04:21 PDT
Created attachment 142251 [details]
Patch
Comment 2 Csaba Osztrogonác 2012-05-16 07:05:43 PDT
Comment on attachment 142251 [details]
Patch

r=me
Comment 3 Balazs Kelemen 2012-05-16 07:22:52 PDT
Comment on attachment 142251 [details]
Patch

Clearing flags on attachment: 142251

Committed r117288: <http://trac.webkit.org/changeset/117288>
Comment 4 Balazs Kelemen 2012-05-16 07:22:58 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Balazs Kelemen 2012-05-16 09:45:00 PDT
Reopening, since this is not the final solution.
Comment 6 Csaba Osztrogonác 2012-05-17 00:54:26 PDT
I had to skip zillion tests because disabling plugins:
http://trac.webkit.org/changeset/117401
http://trac.webkit.org/changeset/117405

plugins worked on Qt 4.8 before, but now it is disabled.
Shouldn't we disable it for Qt 5 only with a Qt version check?
Comment 7 Balazs Kelemen 2012-05-17 01:14:33 PDT
Created attachment 142440 [details]
Patch
Comment 8 Balazs Kelemen 2012-05-17 01:16:50 PDT
(In reply to comment #6)
> I had to skip zillion tests because disabling plugins:
> http://trac.webkit.org/changeset/117401
> http://trac.webkit.org/changeset/117405
> 
> plugins worked on Qt 4.8 before, but now it is disabled.
> Shouldn't we disable it for Qt 5 only with a Qt version check?

Yes, this is what we should do. Sorry for being hasty last time.
Comment 9 Csaba Osztrogonác 2012-05-17 02:38:05 PDT
Comment on attachment 142440 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=142440&action=review

LGTM, with fixing the changelog. :)

> LayoutTests/ChangeLog:4
> +        Copy does not include displayed content sourced from an iFrame.
> +        https://bugs.webkit.org/show_bug.cgi?id=8662

[Qt] Web process hangs while waiting for plugin process connection during layouttests
https://bugs.webkit.org/show_bug.cgi?id=86620
Comment 10 Balazs Kelemen 2012-10-08 01:41:01 PDT
I could not reproduce this locally now. I believe it has been fixed by Allan in http://trac.webkit.org/changeset/125024. I'm going to reenable plugin tests, filed bug 98528 for that task.
Comment 11 Balazs Kelemen 2013-01-04 10:10:00 PST
Comment on attachment 142440 [details]
Patch

Clearing flags.
Comment 12 Jocelyn Turcotte 2014-02-03 03:20:57 PST
=== Bulk closing of Qt bugs ===

If you believe that this bug report is still relevant for a non-Qt port of webkit.org, please re-open it and remove [Qt] from the summary.

If you believe that this is still an important QtWebKit bug, please fill a new report at https://bugreports.qt-project.org and add a link to this issue. See http://qt-project.org/wiki/ReportingBugsInQt for additional guidelines.